# vim: set sw=4 ts=4 et nu:

Name:               minidlna
Version:            1.0.25
Release:            1.3
Summary:            DLNA/UPnP-AV Server
Source:             http://prdownloads.sourceforge.net/minidlna/minidlna_%{version}_src.tar.gz
Source1:            minidlna.init.sh
Source2:            minidlna.lr
Patch1:             minidlna-config.patch
# this is from sourceforge tracker, already fixed in CVS
Patch2:             fix-ffmpeg-1-0.diff
# this is my private "make VDR work" patch :-) -- seife
Patch3:             minidlna-vdr.diff
Source99:           %{name}-rpmlintrc
URL:                http://sourceforge.net/projects/minidlna/
Group:              Productivity/Multimedia/Sound/Utilities
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      sqlite3-devel
BuildRequires:      libjpeg-devel
BuildRequires:      libexif-devel
BuildRequires:      libid3tag-devel
BuildRequires:      libogg-devel
BuildRequires:      libvorbis-devel
BuildRequires:      flac-devel
BuildRequires:      libffmpeg-devel
BuildRequires:      lsb-release
BuildRequires:      distribution-release
BuildRequires:      logrotate
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
Recommends:         logrotate

%description
MiniDLNA (aka ReadyDLNA) is server software with the aim of being fully
compliant with DLNA/UPnP-AV clients.

%prep
%setup -q
%patch1
%patch2 -p1
%patch3 -p1

%build
./genconfig.sh
%__make %{?_smp_flags}

%install
%makeinstall

%__install -D -m0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/%{name}"
%__install -d "%{buildroot}%{_sbindir}"
%__ln_s "/etc/init.d/%{name}" "%{buildroot}%{_sbindir}/rc%{name}"

%__install -D -m0644 "%{SOURCE2}" "%{buildroot}/etc/logrotate.d/%{name}"

%__install -D -m0644 "%{name}.conf" "%{buildroot}/etc/%{name}.conf"

%__install -d -m0700 "%{buildroot}/var/cache/minidlna"

%preun
%stop_on_removal "%{name}"

%postun
%restart_on_update "%{name}"
%insserv_cleanup

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENCE* NEWS README TODO
%config(noreplace) %{_sysconfdir}/minidlna.conf
%{_sbindir}/minidlna
%attr(0700,root,root) %ghost /var/cache/minidlna
/etc/init.d/%{name}
%{_sbindir}/rc%{name}
%config(noreplace) /etc/logrotate.d/%{name}

%changelog
* Thu Dec 13 2012 seife+obs@b1-systems.com
- update to 1.0.25
  * Fix a couple crash bugs on malformed WAV files.
  * Forcibly tweak the model number for Xbox360 clients, or they might ignore us.
  * Enable all network interfaces by default if none were specified.
  * Add flag to force downscaled thumbnails rather than using embedded ones.
  * Add DirecTV client detection, and fix image resolution issue.
  * Add support for the latest ffmpeg/libav library versions.
  * Fix a potential crash on requests for a resize of a non-existent image.
  * Make DeviceID checking more permissive for Sagem Radio.
- add patch to allow VDR recordings
* Thu May 31 2012 Manfred.Tremmel@iiv.de
- update to 1.0.24
  * Fix playlist browsing with no SortOrder specified.
  * Fix inotify detection of caption file removal.
  * Handle an empty DeviceID from Zyxel media player SOAP request.
  * Fix false positives in playlist caching optimization when we have duplicate
    file names in different directories.
  * Trim the camera model name extracted from EXIF tags.
  * Add support for user-configurable log level settings.
  * Add DLNA.ORG_FLAGS support.
- 1.0.23
  * Enable the subtitle menu on some Samsung TV's.
  * Add subtitle support for Panasonic TV's.
  * Add workarounds for LifeTab tablets' bad behavior.
  * Speed up playlist parsing.
  * Make metadata-based virtual containers case insensitive.
  * Add folder art support (very few clients support this though).
  * Improve trimming of quotation marks.
  * Fix SRT caption support with the latest Samsung Series D firmware.
  * Fix subtitles on LG TV's for items whose titles don't have a dot in them.
  * Add support for the av:mediaClass tag, so some Sony devices can filter items
    by media type.
  * Fix inotify detection issues on first-level folders.
  * Work around LifeTab's broken DLNA support.
  * Add image rotation support during resize. (mostly useful for TiVo)
- ffmpeg calls are outdated, compile against ffmpeg_oldabi
* Sun Nov 20 2011 pascal.bleser@opensuse.org
- initial version (1.0.22)
